Package org.eclipse.team.ui.history

# Interface IHistoryCompareAdapter

public interface IHistoryCompareAdapter
An adaptation for a history page for displaying comparisons triggered by history page selections.

Since:
  3.2
See Also:
  - `HistoryPageSaveablePart`
  - `IHistoryPage`

## Method Summary

Modifier and Type
Method
Description
`ICompareInput`
`getCompareInput(Object object)`
Returns an ICompareInput for the passed in object.
`void`
`prepareInput(ICompareInput input, CompareConfiguration configuration, IProgressMonitor monitor)`
Prepare the compare input for display.

## Method Details

### getCompareInput

ICompareInput getCompareInput(Object object)
Returns an ICompareInput for the passed in object.

Parameters:
  `object` - the object
Returns:
  returns an ICompareInput

### prepareInput

void prepareInput(ICompareInput input, CompareConfiguration configuration, IProgressMonitor monitor)
Prepare the compare input for display. Clients can perform any long running preparations and assign labels to the compare configuration.

Parameters:
  `input` - the compare input
  `configuration` - the compare configuration
  `monitor` - a progress monitor